﻿@model List<eCommerce.BackOffice.ViewModels.StockListViewModel>

<!-- Panel -->
<div class="panel">
    <div class="panel-body">
        <table class="editable-table table table-striped" id="editableTable" data-plugin="dataTable">
            <thead>
                <tr>
                    <th>Código</th>
                    <th>Categoría</th>
                    <th>Talle</th>
                    <th>Color</th>
                    @if (ViewContext.Controller.HasRole("Vendedor"))
                    {
                        <th class="text-right">Precio Mayorista</th>
                    }
                    else
                    {
                        <th class="text-right">Minorista</th>
                        <th class="text-right">Mayorista</th>
                        <th class="text-right">Online</th>
                    }

                </tr>
            </thead>
            <tbody>
            @foreach (var item in Model)
            {
                <tr>
                    <td>@item.Code</td>
                    <td>@item.CategoryName</td>
                    <td>@item.Size</td>
                    <td>@item.Color</td>
                    @if (ViewContext.Controller.HasRole("Vendedor"))
                    {
                        <td class="text-right no-wrap">@string.Format("{0:c2}", item.WholesalePrice)</td>
                    }
                    else
                    {
                        <td class="text-right no-wrap">@string.Format("{0:c2}", item.RetailPrice)</td>
                        <td class="text-right no-wrap">@string.Format("{0:c2}", item.WholesalePrice)</td>
                        <td class="text-right no-wrap">@string.Format("{0:c2}", item.OnlinePrice)</td>
                    }
                    
                </tr>
            }
            </tbody>
        </table>
    </div>
</div>